Members resource
Developing with the CLM API is only available for CLM customers with a production account. To purchase a plan to gain access to the CLM API, contact Docusign Sales.
Methods supported
| Method | Description |
|---|---|
| Get | GET /v2/{accountId}/members/{id}Get a member |
| GetCurrent | GET /v2/{accountId}/members/currentGet the current member |
| GetCurrentPermissionSets | GET /v2/{accountId}/members/current/permissionsetsGet the permission sets that the current member has assigned |
| GetCurrentRecentDocuments | GET /v2/{accountId}/members/current/recentdocumentsGet the recently accessed documents of the current member |
| GetCurrentWatchedDocuments | GET /v2/{accountId}/members/current/watcheddocumentsGet the watched documents of the current member |
| GetCurrentWatchedDocumentsProcessTrackingActivities | GET /v2/{accountId}/members/current/watcheddocumentsprocesstrackingactivitiesGet the watched documents process tracking activities of the current member |
| GetCurrentWorkflowActivities | GET /v2/{accountId}/members/current/workitemsGet the workflow inbox of the current member |
| GetCurrentWorkflowQueues | GET /v2/{accountId}/members/current/workflowqueuesGet the workflow queues of the current member |
| GetGroups | GET /v2/{accountId}/members/{id}/groupsGet the groups of a user |
| GetGroupsCurrent | GET /v2/{accountId}/members/current/groupsGet the groups of the current user |
| GetManagedUsersCurrent | GET /v2/{accountId}/members/current/managedusersGet the managed users of the current member |
| GetMembers | GET /v2/{accountId}/membersGet the members in the current account |
| GetPermissionSetsForMember | GET /v2/{accountId}/members/{id}/permissionsetsGet the permission sets that the member has assigned |
| GetWorkflowActivities | GET /v2/{accountId}/members/{id}/workitemsGet the workflow inbox of a member |
| GetWorkflowQueues | GET /v2/{accountId}/members/{id}/workflowqueuesGet the workflow queues of a member |
| Patch | PATCH /v2/{accountId}/members/{id}Update a member |
| PatchCurrent | PATCH /v2/{accountId}/members/currentUpdate the current member |
| Put | PUT /v2/{accountId}/members/{id}Update a member |
| PutCurrent | PUT /v2/{accountId}/members/currentUpdate the current member |
Members properties
| Property | Type | Description |
|---|---|---|
Email | string | Email address belonging to the user. This value cannot be changed. Filterable and sortable |
FirstName | string | First name of the user. This value cannot be changed. Filterable and sortable |
Groups | ApiCollection_Group_ | Groups to which the user belongs |
Href | string | Uri where the object can be retrieved. |
LastName | string | Last name of the user. This value cannot be changed. Filterable and sortable |
ManagedBy | Member | The user reports to this user. A user’s manager can view things like a user’s contacts and work items |
MiddleName | string | Middle name of the user. This value cannot be changed. Filterable and sortable |
PermissionSets | ApiCollection_PermissionSet_ | Permission sets that the user is a member of. |
Persona | Group | Primary security group of the user. Determines access and privileges in several places |
RecentDocuments | ApiCollection_Document_ | The documents most recently accessed by the user |
Role | string | Role of the user in the account. Determines access and privileges in many places. Required property when creating a new user. Possible values are: Guest, LimitedSubscriber, FullSubscriber, UserAdministrator, SuperAdministrator. Filterable |
Suffix | string | Suffix name of the user. This value cannot be changed. Filterable and sortable |
UserName | string | Full name of the user. This value cannot be changed. Filterable and sortable |
WatchedDocuments | ApiCollection_Document_ | The documents currently watched by the user |
WatchedDocumentsProcessTrackingActivities | ApiCollection_DocumentProcessTrackingActivity_ | The workflow steps that are currently pending (waiting) for all of the documents currently watched by the user |
WorkflowQueues | ApiCollection_WorkflowQueue_ | The workflow queues that can be accessed by the user |
WorkItems | ApiCollection_WorkItem_ | Current workflow work items assigned to the user |